Updates an existing qualification record.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Qualification Records under the Qualification Records category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/qualification-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueDate": "2025-08-27T10:20:30Z",
"owner": {
"entityType": "worker",
"id": "281474"
}
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"createdBy": {
"id": "938172",
"type": "driver"
},
"fields": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"type": "text",
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"label": "License Number",
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"numberValue": {
"value": 123.456
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"tableValue": {
"columns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Store Number",
"type": "number"
}
],
"rows": [
{
"cells": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "number",
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"mediaValue": {
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
]
},
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"numberValue": {
"value": 123.456
},
"personValue": {
"person": {
"entryType": "tracked",
"name": "Jake",
"polymorphicUserId": {
"id": "938172",
"type": "driver"
}
}
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"textValue": {
"value": "Exposed wires"
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"textValue": {
"value": "Exposed wires"
}
}
],
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueDate": "2025-08-27T10:20:30Z",
"owner": {
"entityType": "worker",
"id": "281474",
"externalIds": {}
},
"qualificationType": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"name": "Driver License",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"recordStatus": "active",
"updatedAtTime": "2019-06-13T19:08:25Z",
"updatedBy": {
"id": "938172",
"type": "driver"
},
"expirationDate": "2026-08-27T10:20:30Z",
"externalIds": {}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Qualification record fields to update. All fields except id are optional.
ID of the qualification record to update.
"9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
Expiration date. UTC timestamp in RFC 3339 format. Set to '1970-01-01T00:00:00Z' to clear existing expiration date.
"2026-08-27T10:20:30Z"
A map of external ids
Show child attributes
Other custom fields in a qualification record. Only set fields that needs to be updated.
Show child attributes
Issue/effective date. UTC timestamp in RFC 3339 format.
"2025-08-27T10:20:30Z"
Owner of the qualification record.
Show child attributes
OK response.
Qualification Record response object.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/qualification-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueDate": "2025-08-27T10:20:30Z",
"owner": {
"entityType": "worker",
"id": "281474"
}
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"createdBy": {
"id": "938172",
"type": "driver"
},
"fields": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"type": "text",
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"label": "License Number",
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
],
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"numberValue": {
"value": 123.456
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"tableValue": {
"columns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Store Number",
"type": "number"
}
],
"rows": [
{
"cells": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "number",
"checkBoxesValue": {
"value": [
"Option A",
"Option B"
],
"valueIds": [
"0cbbddb3-2541-4889-b4eb-92171cbfc142",
"d33198cb-369f-4278-8120-d92d3ebf74bf"
]
},
"dateTimeValue": {
"type": "datetime",
"value": "2024-08-08T18:53:23Z",
"dateValue": "2024-08-08"
},
"mediaValue": {
"mediaList": [
{
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
]
},
"multipleChoiceValue": {
"value": "Yes",
"valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
},
"numberValue": {
"value": 123.456
},
"personValue": {
"person": {
"entryType": "tracked",
"name": "Jake",
"polymorphicUserId": {
"id": "938172",
"type": "driver"
}
}
},
"signatureValue": {
"media": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"processingStatus": "processing",
"url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
"urlExpiresAt": "2019-06-13T19:08:25Z"
}
},
"textValue": {
"value": "Exposed wires"
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"textValue": {
"value": "Exposed wires"
}
}
],
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"issueDate": "2025-08-27T10:20:30Z",
"owner": {
"entityType": "worker",
"id": "281474",
"externalIds": {}
},
"qualificationType": {
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"name": "Driver License",
"revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
},
"recordStatus": "active",
"updatedAtTime": "2019-06-13T19:08:25Z",
"updatedBy": {
"id": "938172",
"type": "driver"
},
"expirationDate": "2026-08-27T10:20:30Z",
"externalIds": {}
}
}